## This file is sourced by any QIP tcl script in this script collection.
set QIPGlobalRunVerbose "NO"
set QIP_MODE "Horoscopes"
set QIP_VERSION "1.0"

#########################

set QIPGlobalOutputDirectory "./output/"
set QIPGlobalTemplateDirectory "./templates/"
#local directory by default
set QIPGlobalHTMLTemplate "DEFAULT"
set QIPGlobalOutputFile "DEFAULT"

set QIPGlobalSource "DEFAULT"
set QIPGlobalSourceHost "DEFAULT"
set QIPGlobalSourceFile "DEFAULT"

#########################

set QIPGlobalHTMLHoroscopesTemplate "QIP_Horoscopes.template"
set QIPGlobalHoroscopesOutputFile "horoscopes.inc"
set QIPGlobalHoroscopesSource "http://www.sanemagazine.com/publish/content/1.0/horoscopes.xml"
set QIPGlobalHoroscopesSourceHost "www.sanemagazine.com"
set QIPGlobalHoroscopesSourceFile "/publish/content/1.0/horoscopes.xml"

#########################

set QIPGlobalHTMLRSSTemplate "QIP_RSS.template"
set QIPGlobalRSSOutputFile "rss.inc"
set QIPGlobalRSSSource "http://www.sanemagazine.com/rdf/sanemagazine.rdf"
set QIPGlobalRSSSourceHost "www.sanemagazine.com"
set QIPGlobalRSSSourceFile "/rdf/sanemagazine.rdf"

#########################
# Global HTML Template values

set QIPGlobalDefaultNumItems "9"

#########################

set QIPGlobalReleaseNumber "1.0"

set QIPLEGAL_FLAGS [list "-RSS" "-t" "-f" "-x" "-h" "-v" "-NORUN"]

#########################

set QIParseVerboseIntro "
	QIParser v.$QIP_VERSION
This is merely verbose mode, as you've specified that cute little '-v' option...
Seriously, though, this is okay, and it runs fine this way...
Options are, for those interested:
\t-RSS
\t   This option specifies that it's an RSS file you're collecting.
\t-t templateFile
\t   The reference to templateFile needs the file to reside in the templates directory of this app. You can add your own template files, to install and use simply copy your template into the templates directory under QIParser.app and call the script with -t 'yourTemplateFileName'
\t-h sourceHost
\t   NB. This is simply the host name the file you wish to fetch resides on, do not include the protocol (http://) or anything else. eg. $QIPGlobalHoroscopesSourceHost
\t-f sourceFile
\t   NB. This is the full path to the file you wish to fetch, from the root of the webserver (this fetch is only happening over http at the moment). eg. $QIPGlobalHoroscopesSourceFile
\t-x exportFile
\t   A file relative to the default export directory ($QIPGlobalOutputDirectory).
\t-v\n
The default settings are:
	-t ${QIPGlobalTemplateDirectory}${QIPGlobalHTMLHoroscopesTemplate}
	-h $QIPGlobalHoroscopesSourceHost
	-f $QIPGlobalHoroscopesSourceFile
	-x ${QIPGlobalOutputDirectory}${QIPGlobalHoroscopesOutputFile}
	The default RSS ivars are:
	-t $QIPGlobalHTMLRSSTemplate
	-h $QIPGlobalRSSSourceHost
	-f $QIPGlobalRSSSourceFile
	-x '${QIPGlobalOutputDirectory}${QIPGlobalRSSOutputFile}'
"
##
set FINALREVISIONDONTUSEQIParseVerboseIntro "
	QIParser v.$QIP_VERSION
	This is merely verbose mode, as you've specified that cute little '-v' option...
	Seriously, though, this is okay, and it runs fine this way...
	Options are, for those interested:
	\t-RSS
	\t   This option specifies that it's an RSS file you're collecting.
	\t-t templateFile
	\t   The reference to templateFile needs the file to reside in the templates directory of this app. You can add your own template files, to install and use simply copy your template into the templates directory under QIParser.app and call the script with -t 'yourTemplateFileName'
	\t-f sourceFile
	\t-x exportFile
	\t-v\n
	The default settings are:
	-t '${QIPGlobalTemplateDirectory}${QIPGlobalHTMLHoroscopesTemplate}'
	-f '$QIPGlobalHoroscopesSource'
	-x '${QIPGlobalOutputDirectory}${QIPGlobalHoroscopesOutputFile}'
	The default RSS ivars are:
	-t '$QIPGlobalHTMLRSSTemplate'
	-f '$QIPGlobalRSSSource'
	-x '${QIPGlobalOutputDirectory}${QIPGlobalRSSOutputFile}'
"
## q.i. productions 2001.
